Enable/Disable Template Messaging

Use this API to enable or disable template messaging for your Gupshup App

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

You will need below details to start using this API.

  1. App Id
  2. Partner App Token

Parameters

Parameters

Value

Description

Authorization

{{PARTNER_APP_TOKEN}}

Access Token for the application

appId

{{APP_ID}}

Unique Identifier for Gupshup App

isHSMEnabled

true/false

Use this flag to enable or disable template messaging for an App.
Possible values: true or false

Sample Request

curl --location --request PUT 'https://partner.gupshup.io/partner/app/{{APP_ID}}/appPreference' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'isHSMEnabled=true'

Sample Response

 Status: 202 Accepted

Status Codes

Status CodeResponseComments
Success
200{ "status": "success" }
Error
429{ "status": "error", "message": "Too Many Requests" }10 Requests per Minute
500{ "status": "error", "message": "Internal server error. Please try again later and If Issue still persist than contact Gupshup Dev Support" }For any Internal Error
Path Params
string
required
Form Data
boolean
Headers
string
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!